Skip to main content
POST
TypeScript SDK

Authorizations

Authorization
string
header
required

Enter ApiKey <your-api-key> in Authorization, including the ApiKey prefix. In cURL and Python samples, <api-key> means this full value. The TypeScript SDK adds the prefix for you.

Path Parameters

projectId
string
required

Project ID with prefix pp..

Pattern: ^pp\.[0-9a-f]{8}-[0-9a-f]{4}-[7][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Body

application/json
declaredSizeBytes
integer
required

Declared maximum file size in bytes, up to 100 MiB.

Required range: 0 <= x <= 9007199254740991
filename
string
required

Name of the file being uploaded.

Minimum string length: 1

Response

Upload initiated

file
object
required

A file stored in a project.

uploadUrl
string
required

Signed URL for uploading file bytes with a PUT request and the x-ms-blob-type: BlockBlob header.